Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Upgradation BIRT 2.5 version to BIRT 4.6 version(Fatal error occurred when try to startup report engine.)
Upgradation BIRT 2.5 version to BIRT 4.6 version [message #1777097] Fri, 24 November 2017 11:57 Go to next message
sravanthi k is currently offline sravanthi kFriend
Messages: 2
Registered: November 2017
Junior Member
hi

I am going to upgrade my web application ReportEngine module from BIRT 2.5 to BIRT 4.6 in wildfly server.The reports in BIRT 2.5 are working fine but after upgradation my report module of BIRT 4.6 getting the below Exception while running the wildfly server.

I am using
server version : wildfly-9.0.2.Final
JDK version: jdk1.8.0_101
Eclipse version: Mars.2 Release (4.5.2)

If anybody give idea or help to resolve the exception as early as possible it will be great helpful to me

org.eclipse.birt.report.exception.ViewerException: Fatal error occurred when try to startup report engine.

at org.eclipse.birt.report.service.ReportEngineService.setEngineContext(ReportEngineService.java:342)

at org.eclipse.birt.report.service.BirtViewerReportService.setContext(BirtViewerReportService.java:1023)

at org.eclipse.birt.report.listener.ViewerServletContextListener.contextInitialized(ViewerServletContextListener.java:62)

at io.undertow.servlet.core.ApplicationListeners.contextInitialized(ApplicationListeners.java:173)

at io.undertow.servlet.core.DeploymentManagerImpl.deploy(DeploymentManagerImpl.java:195)

at org.wildfly.extension.undertow.deployment.UndertowDeploymentService.startContext(UndertowDeploymentService.java:100)

at org.wildfly.extension.undertow.deployment.UndertowDeploymentService$1.run(UndertowDeploymentService.java:82)

at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)

at java.util.concurrent.FutureTask.run(FutureTask.java:266)

at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)

at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)

at java.lang.Thread.run(Thread.java:745)

at org.jboss.threads.JBossThread.run(JBossThread.java:320)


Thank you very much & regard
sravanthi
Re: Upgradation BIRT 2.5 version to BIRT 4.6 version [message #1777158 is a reply to message #1777097] Sat, 25 November 2017 09:00 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 29040
Registered: July 2009
Senior Member
Better to ask on the BIRT forum: https://www.eclipse.org/forums/eclipse.birt
Previous Topic:DBViewer font
Next Topic:Eclipse Oxygen crashes when trying to create Liferay Workspace or Module
Goto Forum:
  


Current Time: Mon Dec 18 09:17:39 GMT 2017

Powered by FUDForum. Page generated in 0.02453 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software